Skip to main content
GET
/
integrators
/
timeline
/
v3
/
{appId}
/
event-templates
Get all event templates
curl --request GET \
  --url https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "name": "<string>",
      "objectType": "<string>",
      "tokens": [
        {
          "label": "<string>",
          "name": "<string>",
          "options": [
            {
              "label": "<string>",
              "value": "<string>"
            }
          ],
          "type": "date",
          "createdAt": "2023-11-07T05:31:56Z",
          "objectPropertyName": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "detailTemplate": "<string>",
      "headerTemplate": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required

Response

successful operation

results
object[]
required
Last modified on March 30, 2026